OGRE: Ogre::ResourceLoadingListener Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ResourceLoadingListener Class Reference
Core » Resources

This class allows users to override resource loading behavior. More...

`#include <OgreResourceGroupManager.h>`

## Public Member Functions
virtual | ~ResourceLoadingListener ()
virtual bool | resourceCollision (Resource *resource, ResourceManager *resourceManager)
| This event is called when a resource collides with another existing one in a resource manager.
virtual DataStreamPtr | resourceLoading (const String &name, const String &group, Resource *resource)
| This event is called when a resource beings loading.
virtual void | resourceStreamOpened (const String &name, const String &group, Resource *resource, DataStreamPtr &dataStream)
| This event is called when a resource stream has been opened, but not processed yet.

## Detailed Description

This class allows users to override resource loading behavior.

By overriding this class' methods, you can change how resources are loaded and the behavior for resource name collisions.

## Constructor & Destructor Documentation

## ◆ ~ResourceLoadingListener()

virtual Ogre::ResourceLoadingListener::~ResourceLoadingListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ resourceLoading()

virtual DataStreamPtr Ogre::ResourceLoadingListener::resourceLoading | ( | const String & | name,
|  | const String & | group,
|  | Resource * | resource )
| inlinevirtual

This event is called when a resource beings loading.

## ◆ resourceStreamOpened()

virtual void Ogre::ResourceLoadingListener::resourceStreamOpened | ( | const String & | name,
|  | const String & | group,
|  | Resource * | resource,
|  | DataStreamPtr & | dataStream )
| inlinevirtual

This event is called when a resource stream has been opened, but not processed yet.

You may alter the stream if you wish or alter the incoming pointer to point at another stream if you wish.

## ◆ resourceCollision()

virtual bool Ogre::ResourceLoadingListener::resourceCollision | ( | Resource * | resource,
|  | ResourceManager * | resourceManager )
| inlinevirtual

This event is called when a resource collides with another existing one in a resource manager.

Parameters

  resource | the new resource that conflicts with an existing one
  resourceManager | the according resource manager

Returns
  false to skip registration of the conflicting resource and continue using the previous instance.

The documentation for this class was generated from the following file:

- OgreResourceGroupManager.h